#include<stdio.h>
#include<stdlib.h>

/* 
-------------------------------------------------------------------------------
Estocasticitat estadistica
-------------------------------------------------------------------------------
Dades: a (un dels valors de R), b (l'altre valor possible de R),
       x (nombre inicial de membres de l'especie), max (nombre de passos que
       es calcularan)
Resultats: Fitxer "estoc1.dat" amb dues columnes. Cada fila representa un
           instant de temps. La primera columna es l'ordinal de l'instant de 
           temps. La segona es el nombre d'exemplars de l'especie en aquell
           instant de temps
Dades de prova: a=0.8 b=1.25 x=1000.0 max=3 ==> 0, 1000.0; 1, 1250.0; 
                2, 1562.5; 3, 1953.125
Observacions: En execucions succesives s'obtenen els mateixos resultats. Per
              obtenir-ne de diferents caldria canviar la llavor del generador
              de nombres aleatoris (srand) 
-------------------------------------------------------------------------------
*/

main()
{
int max,i,n;
float x,a,b,r;
FILE *arxiu;

srand(67);
printf("Introdueix el valor del parametre a: ");
scanf("%f",&a);
printf("Introdueix el valor del parametre b: "); 
scanf("%f",&b); 
printf("Valor inicial: ");
scanf("%f",&x);
printf("numero de passos: ");
scanf("%d",&max);
arxiu=fopen("estoc1.dat","w");
fprintf(arxiu,"%d %f\n",0,x);
for(n=1;n<=max;n++)
	{
        i=rand() % 2;
        r=(1-i)*a+i*b;
	x=r*x;
	fprintf(arxiu,"%d %f\n",n,x);
	}
fclose(arxiu);
}
